Atop
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Atop action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Monitor System Performance",
"type": "ATOP",
"trigger_time": "ON_EVERY_EXECUTION",
"api_url": "https://monitoring.example.com/api/v1/metrics",
"parameters": [
{
"key": "interval",
"value": "60"
},
{
"key": "duration",
"value": "300"
}
],
"variables": [
{
"key": "ATOP_OUTPUT",
"value": "/workspace/atop-report.log"
}
]
}'STATUS200 OK